// pages/afterSales/afterSales.js
var http = require('../../utils/http.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    current: 1,
    pages: 0,
    startTime: '',  //开始时间
    endTime: '',  //结束时间
    //orderItems: '',  //订单项
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.myRefundOrder();  //退款订单列表
  },


  /**
   * 我的退款订单列表
   */
  myRefundOrder: function (e) {
    wx:wx.showLoading();
    var params = {
      url: "/p/orderRefund/list",
      method: "GET",
      data: {
        current: this.data.current,
        size: 20,
        startTime: this.data.startTime,
        endTime: this.data.endTime
      },
      callBack: (res) => {
        let img=''
        res.records.forEach(item=>{
          item.orderItems.map(e=>{
            img=e.pic.split(',')
            e.pic=img[0]
          })
        })
        var list = [];
        if (res.current == 1) {
          list = res.records;
        } else {
          list = this.data.list;
          Array.prototype.push.apply(list, res.records);
        }
        this.setData({
          list: list,
          pages: res.pages,
          current: res.current,
        });
        wx: wx.hideLoading();
      }
    };
    http.request(params);
  },
  


  /**
   * 点击查看详情跳转页面
   */
  toRefundDetails: function(e) {
    var refundSn = e.currentTarget.dataset.refundsn;
    console.log(refundSn);
    wx.navigateTo({
      url: '/pages/DetailsOfRefund/DetailsOfRefund?refundSn=' + refundSn
    })
  },



  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})